package com.diagbot.client.hystrix;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.client.bean.SearchData;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description:调用中间层服务
 * @Author: Mark Huang
 * @time: 2019/03/25 19:15
 */
@Component
@Slf4j
public class AiptServiceHystrix implements AiptServiceClient {
    @Override
    public Response<ResponseData> aiptData(SearchData searchData) {
        log.error("【hystrix】调用{}异常", "aiptData");
        return null;
    }
}
