package com.diagbot.client.hystrix;

import java.util.List;

import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import com.diagbot.client.DeptInfoServiceClient;
import com.diagbot.dto.GetAllDeptsDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.GetAllDeptsVO;

import lombok.extern.slf4j.Slf4j;


/**
 * @Description: 调用科室服务
 * @author: gaodm
 * @time: 2018/8/6 9:52
 */
@Component
@Slf4j
public class DeptInfoServiceHystrix implements DeptInfoServiceClient {
	
	@Override
	public RespDTO<List<GetAllDeptsDTO>> getAllDepts(@RequestBody GetAllDeptsVO getAllDeptsVO) {
		log.error("【hystrix】调用{}异常", "getAllDepts");
        return null;
	}

	
	
	
	
	
}
