package com.diagbot.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class GetAllBodypartDTO {
	
    /**
     * 部位名称
     */
    @ApiModelProperty(value="部位名称")
    private String name;
    
    /**
     * 部位排序号
     */
    @ApiModelProperty(value="部位排序号")
    private Integer orderNo;
    

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((orderNo == null) ? 0 : orderNo.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		GetAllBodypartDTO other = (GetAllBodypartDTO) obj;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (orderNo == null) {
			if (other.orderNo != null)
				return false;
		} else if (!orderNo.equals(other.orderNo))
			return false;
		return true;
	}
    

    

}
