package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetLexiconListDTO;
import com.diagbot.entity.Lexicon;
import com.diagbot.vo.GetLexiconListVO;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-03-18
 */
public interface LexiconMapper extends BaseMapper<Lexicon> {

	IPage<GetLexiconListDTO> getLexiconList(GetLexiconListVO getLexiconListVO);
	
}
