package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetAllInformationDTO;
import com.diagbot.entity.LibraryInfo;
import com.diagbot.vo.GetAllInformationVO;

/**
 * <p>
 * 提示信息 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryInfoMapper extends BaseMapper<LibraryInfo> {

    IPage<GetAllInformationDTO> getAllInformation(GetAllInformationVO getAllInformationVO);
   
}
