package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetMedicalInfoListDTO;
import com.diagbot.entity.Medical;
import com.diagbot.vo.GetMedicalInfoListVO;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-16
 */
public interface MedicalMapper extends BaseMapper<Medical> {
	
	
	IPage<GetMedicalInfoListDTO> getMedicalInfoList(GetMedicalInfoListVO getMedicalInfoListVO);
	

}
