package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/14 16:03
 */
@SuppressWarnings({ "serial", "rawtypes" })
@Getter
@Setter
public class GetRelationInfoListVO extends Page {
    
    /**
     * 关系id
     */
	@ApiModelProperty(value="关系id")
    private Long relationId;
    
    /**
     * 关系起点术语名称
     */
	@ApiModelProperty(value="关系起点术语名称")
    private String startName;
    
    /**
     * 关系终点术语名称
     */
	@ApiModelProperty(value="关系终点术语名称")
    private String endName;
    
}