package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/3/11 13:50
 */
@Getter
@Setter
public class EMRIntroduceVO {
    @NotBlank(message = "请输入医院编码")
    private String hosCode;
    @NotBlank(message = "请输入检查或检验类型")
    private Integer type;
    @NotBlank(message = "请输入检查或检验套餐名称")
    private String name;
    private String detailName;
    private String uniqueName;
    private String[] titles;
    private String icdCode; //诊断icd10编码
}
