package com.diagbot.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class GetLexiconListDTO {
	
    /**
     * 操作时间
     */
	@JsonFormat(timezone="GMT+8",pattern ="yyyy-MM-dd HH:mm")
	@ApiModelProperty(value="操作时间")
    private Date gmtModified;
	
    /**
     * 操作人
     */
	@ApiModelProperty(value="操作人")
    private String modifier;

    /**
     * 类型名称
     */
	@ApiModelProperty(value="类型名称")
    private String name;

    /**
     * 类型备注
     */
	@ApiModelProperty(value="类型备注")
    private String remark;

    

}
