package com.diagbot.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class GetMedicalInfoDetailDTO {
	
	/**
     * 术语概念id
     */
	@ApiModelProperty(value="术语概念id")
    private Long conceptId;
	
	/**
     * 术语概念名称
     */
	@ApiModelProperty(value="术语概念名称")
    private String conceptName;
	
	/**
     * 术语概念类型
     */
	@ApiModelProperty(value="术语概念类型")
    private String conceptType;

    /**
     * 术语名称
     */
	@ApiModelProperty(value="术语名称")
    private String name;

    /**
     * 术语标准名
     */
	@ApiModelProperty(value="术语标准名")
    private String stdName;

    /**
     * 术语小类名称
     */
	@ApiModelProperty(value="术语小类名称")
    private String cateName;

    /**
     * 术语类组
     */
	@ApiModelProperty(value="术语类组")
    private String grp;
	
    /**
     * 效用名称
     */
	@ApiModelProperty(value="效用名称")
    private String function;

    /**
     * 性别：1:男, 2:女, 3:通用
     */
	@ApiModelProperty(value="性别：1:男, 2:女, 3:通用")
    private String gender;

    /**
     * 症状发生的最小年龄
     */
	@ApiModelProperty(value="症状发生的最小年龄")
    private Integer minAge;

    /**
     * 症状发生的最大年龄
     */
	@ApiModelProperty(value="症状发生的最大年龄")
    private Integer maxAge;

    /**
     * 一级部位
     */
	@ApiModelProperty(value="一级部位")
    private String bodypart;

    /**
     * 二级部位
     */
	@ApiModelProperty(value="二级部位")
    private String subBodypart;

    /**
     * 显示顺序
     */
	@ApiModelProperty(value="显示顺序")
    private String displayOrder;

    /**
     * 科室
     */
	@ApiModelProperty(value="科室")
    private String dept;

    /**
     * 术语身份编码
     */
	@ApiModelProperty(value="术语身份编码")
    private String code;

    /**
     * 备注
     */
	@ApiModelProperty(value="备注")
    private String note;

}
