package com.diagbot.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class GetRelationInfoListDTO {
	
    /**
     * id
     */
	@ApiModelProperty(value="id")
    private Long id;
    
    /**
     * 关系起点术语id
     */
	@ApiModelProperty(value="关系起点术语id")
    private Long startId;
    
    /**
     * 关系起点术语名称
     */
	@ApiModelProperty(value="关系起点术语名称")
    private String startName;
	
	/**
     * 关系起点术语类型
     */
	@ApiModelProperty(value="关系起点术语类型")
    private String startType;
    
    /**
     * 关系终点术语id
     */
	@ApiModelProperty(value="关系终点术语id")
    private Long endId;
	
    /**
     * 关系终点术语名称
     */
	@ApiModelProperty(value="关系终点术语名称")
    private String endName;
	
    /**
     * 关系终点术语类型
     */
	@ApiModelProperty(value="关系终点术语类型")
    private String endType;
	
    /**
     * 关系id
     */
	@ApiModelProperty(value="关系id")
    private Long relationId;
    
    /**
     * 关系名称
     */
	@ApiModelProperty(value="关系名称")
    private String relationName;
    
    /**
     * 操作人
     */
	@ApiModelProperty(value="操作人")
    private String operName;
    
    /**
     * 操作时间
     */
	@JsonFormat(timezone="GMT+8",pattern ="yyyy-MM-dd HH:mm")
	@ApiModelProperty(value="操作时间")
    private Date operTime;
    
    
    
    
    
    
    

}
