package com.diagbot.facade;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetAllInformationDTO;
import com.diagbot.service.impl.LibraryInfoServiceImpl;
import com.diagbot.vo.GetAllInformationVO;

/**
 * @Description: 术语基本信息查询业务层
 * @author: Weixuan Huang
 * @time: 2019/1/16 14:17
 */
@Component
public class LibraryInfoFacade extends LibraryInfoServiceImpl {
  
    /**
     * 获取医学术语命名列表
     * @param conceptVo
     * @return
     */
    public IPage<GetAllInformationDTO> getAllInformation(GetAllInformationVO getAllInformationVO) {
        return baseMapper.getAllInformation(getAllInformationVO);
    }

}
